## com.google.gwt.user.client.ui
Interface FiresFormEvents

All Known Implementing Classes:
  FormPanel

Deprecated. This interface was specific to `FormPanel`; it is not generally useful and will be removed in a future version. Use `FormPanel.addSubmitHandler` and `FormPanel.addSubmitCompleteHandler` instead

    @Deprecated
    public interface FiresFormEvents

A widget that implements this interface fires the events defined by the `FormHandler` interface.

Method Summary
`void` | `addFormHandler(FormHandler handler)` Deprecated. Use `FormPanel.addSubmitCompleteHandler` and `FormPanel.addSubmitHandler` instead
`void` | `removeFormHandler(FormHandler handler)` Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by an add*Handler method instead

Method Detail

### addFormHandler

    @Deprecated
    void addFormHandler(FormHandler handler)

  Deprecated. Use `FormPanel.addSubmitCompleteHandler` and `FormPanel.addSubmitHandler` instead

  Adds a handler interface to receive click events.

  Parameters:
    `handler` - the handler interface to add

### removeFormHandler

    @Deprecated
    void removeFormHandler(FormHandler handler)

  Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by an add*Handler method instead

  Removes a previously added handler interface.

  Parameters:
    `handler` - the handler interface to remove